@mixin buttonColor($color) {
  background-color: $color;
  &:hover {
    background-color: rgba($color, 0.87)
  }
}

.button {
  font-weight: inherit;
  text-transform: none;

  &:hover {
    text-decoration: none;
  }

  &--light {
    @include buttonColor(#FFF);
  }

  &--blue {
    color: #FFFFFF;
    @include buttonColor(#1DA1F2);
  }

  &--light-blue {
    color: #FFFFFF;
    @include buttonColor(#11CDEF);
  }

  &--dark-blue {
    color: #FFFFFF;
    @include buttonColor(#3B5999);
  }

  &--dark {
    color: #FFFFFF;
    @include buttonColor(#222222);
  }

  &--pink {
    color: #FFFFFF;
    @include buttonColor(#EA4C89);
  }

  &--purple {
    color: #ffffff;
    @include buttonColor(#5E72E4);
  }

  &--green {
    color: #ffffff;
    @include buttonColor(#2DCE89);
  }

  &--orange {
    color: #ffffff;
    @include buttonColor(#FB6340);
  }

  &--large {
    padding: 1.2rem 3.3rem 1.2rem 2.8rem;
  }

  &--small {
    padding: 1.2rem 1.25rem 1rem 1.25rem
  }

  &--round {
    border-radius: 100%;
  }

}